Bug 7097

There is currently no matching version Lowest Supported Version 19.2.02073 05 September, 2021

Pofen Fang
12 August, 2021
Product: PowerBuilder Category: Runtime
Version: 2019 R3 Build: 2703
Classification: Issue Publishing: Public
Priority: P1
Status: Closed Reason: RESOLVED
Ken Guo @Appeon 05 September, 2021
#4
Hi Pofen, 

Glad to hear that. We will close this ticket! 
If you have any further question, please open a new ticket.

Regards,
Ken



-----------------------------------------------------------------
From: Pofen Fang 
Sent: Saturday, September 4, 2021 10:45 AM
Subject: Re: [Bug 7097] There is currently no matching version Lowest Supported Version 19.2.02073

Thank you for your kindly help. There is no problem now
Ken Guo @Appeon 02 September, 2021
#3
Hi Pofen,  

I'm just touching base with you about this ticket.  

Did we provide you with enough information to resolve this issue?
Please let us know if there is something else to support you with.  

Regards,
Ken
Ken Guo @Appeon 13 August, 2021
#2
Hi Pofen,

Since PB 2019 R3, it supports separating Runtime from IDE. Please see the link below for details: 
https://docs.appeon.com/pb2019r3/whats_new/Separating_Runtime_from_IDE.html

For the issue you are facing, I suggest:
1. Check the directory where your EXE resides and see if there’s a <executable-name>.xml file present. If yes, then the runtime path specified in this file is C:\Program Files (x86)\Appeon\Common\PowerBuilder\Runtime 19.2.0.2703. Please check if you have this C:\Program Files (x86)\Appeon\Common\PowerBuilder\Runtime 19.2.0.2703 directory on your machine.
2. If there is no such directory on your machine, please use PB Installer to install PB Runtime. You can refer to the link below for more details:
https://docs.appeon.com/pb2019r3/application_techniques/ch09s02.html#Installing_PowerBuilder_Runtime
3. If you don’t want this <executable-name>.xml file in your EXE directory, you can just delete this XML file, then copy all the files in C:\Program Files (x86)\Appeon\Common\PowerBuilder\Runtime 19.2.0.2703 on the development machine and paste them to the EXE directory.
4. Try again and see if the issue is still there.

Regards,
Ken
Pofen Fang 12 August, 2021
#1
螢幕快照 2021-08-13 上午9.23.15.png (272KB)

*Phenomenon:
I can not run application at client machine. It shows error message that There is currently no matching version Lowest Supported Version 19.2.02073

*Reproduce Steps:
After deploy the run time dll files and copy all of pbd , exe files. It can not work. 

Remarks:

裝置名稱	sybase1
完整裝置名稱	sybase1.toty.com.tw
處理器	AMD A4-6300 APU with Radeon(tm) HD Graphics       3.70 GHz
已安裝記憶體(RAM)	10.0 GB (9.20 GB 可用)
裝置識別碼	003E4D91-80F3-4DA0-96C5-DC126346D5D8
OS:
Windows 10
Platform:
64-bit
Database Type:
SAP ASE
Database Version:
16